
User Interface - Bug #2620

problems when editable size of a field is smaller than the format length

07/25/2015 09:18 AM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 07/25/2015 09:19 AM - Greg Shah

If the editable part doesn't fit in the widget, the cursor goes crazy.  Both for ChUI and GUI.  There may be additional issues related to right-aligned

fields.

#2 - 08/04/2015 04:15 PM - Constantin Asofiei

- Status changed from New to WIP

Created task branch 2620a from trunk rev 10908.

#3 - 08/05/2015 05:18 AM - Constantin Asofiei

- Status changed from WIP to Review

Please review branch 2620a rev 10911 - it contains fixes for FILL-IN cursor problems when editable width is smaller than content length.

I'm putting this into runtime testing.

#4 - 08/05/2015 09:05 AM - Greg Shah

Code Review Task Branch 2620a Revision 10911

I'm good with the changes.

#5 - 08/05/2015 12:44 PM - Constantin Asofiei

- Status changed from Review to WIP

All failures in 2620a runtime testing look like false negatives, another round is in progress - I expect to set it as "passed" after this one.

#6 - 08/05/2015 12:49 PM - Constantin Asofiei

Rebased branch 2620a from trunk rev 10910 (new branch rev 10912).

#7 - 08/05/2015 04:26 PM - Constantin Asofiei

Rebased branch 2620a from trunk rev 10911 (new branch rev 10913).
#8 - 08/05/2015 04:41 PM - Constantin Asofiei

Branch 2620a was merged to trunk rev 10912 and archived.

#9 - 08/05/2015 05:31 PM - Greg Shah

- Status changed from WIP to Closed

#10 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
